Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Select_Reactor_Handler_Repository_Iterator Class Reference

Iterate through the . More...

`#include <Select_Reactor_Base.h>`

Collaboration diagram for ACE_Select_Reactor_Handler_Repository_Iterator:

[legend]
List of all members.

## Public Methods
| ACE_Select_Reactor_Handler_Repository_Iterator (const ACE_Select_Reactor_Handler_Repository *s)
| ~ACE_Select_Reactor_Handler_Repository_Iterator (void)
| dtor.
int | next (ACE_Event_Handler *&next_item)
| Pass back the <next_item> that hasn't been seen in the Set. Returns 0 when all items have been seen, else 1.
int | done (void) const
| Returns 1 when all items have been seen, else 0.
int | advance (void)
| Move forward by one element in the set. Returns 0 when all the items in the set have been seen, else 1.
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.
## Private Attributes
const ACE_Select_Reactor_Handler_Repository* | rep_
| Reference to the Handler_Repository we are iterating over.
ssize_t | current_
| Pointer to the current iteration level.

## Detailed Description

Iterate through the .

## Constructor & Destructor Documentation

ACE_Select_Reactor_Handler_Repository_Iterator::ACE_Select_Reactor_Handler_Repository_Iterator ( | const ACE_Select_Reactor_Handler_Repository * s )

ACE_INLINE ACE_Select_Reactor_Handler_Repository_Iterator::~ACE_Select_Reactor_Handler_Repository_Iterator ( | void )

| dtor.

## Member Function Documentation

int ACE_Select_Reactor_Handler_Repository_Iterator::advance ( | void )

| Move forward by one element in the set. Returns 0 when all the items in the set have been seen, else 1.

int ACE_Select_Reactor_Handler_Repository_Iterator::done ( | void ) const

| Returns 1 when all items have been seen, else 0.

void ACE_Select_Reactor_Handler_Repository_Iterator::dump ( | void ) const

| Dump the state of an object.

int ACE_Select_Reactor_Handler_Repository_Iterator::next ( | ACE_Event_Handler *& next_item )

| Pass back the <next_item> that hasn't been seen in the Set. Returns 0 when all items have been seen, else 1.

## Member Data Documentation

ACE_Select_Reactor_Handler_Repository_Iterator::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks.

ssize_t ACE_Select_Reactor_Handler_Repository_Iterator::current_`[private]`

| Pointer to the current iteration level.

const ACE_Select_Reactor_Handler_Repository * ACE_Select_Reactor_Handler_Repository_Iterator::rep_`[private]`

| Reference to the Handler_Repository we are iterating over.

The documentation for this class was generated from the following files:

- Select_Reactor_Base.h
- Select_Reactor_Base.cpp
- Select_Reactor_Base.i